Đến nội dung


Hình ảnh
- - - - -

chuyển tọa độ từ file excel sang cad


  • Please log in to reply
18 replies to this topic

#1 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 12 April 2010 - 01:10 PM

Nhờ các bác viết hộ em cái lisp như thế này.
tọa độ được nhập vào file xxx.txt sau đó chuyển qua cad có tọa độ đúng như file .txt
Đây là file xxx.txt:
http://www.cadviet.com/upfiles/2/mat_da_voi_1.txt
Mong các bác giúp đỡ
  • 0

#2 hoaletrang

hoaletrang

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2010 - 05:04 PM

Nhờ các bác viết hộ em cái lisp như thế này.
tọa độ được nhập vào file xxx.txt sau đó chuyển qua cad có tọa độ đúng như file .txt
Đây là file xxx.txt: http://www.cadviet.com/upfiles/2/mat_da_voi_1.txt
Mong các bác giúp đỡ

File Txt của bạn có 2 dòng không đúng cấu trúc, không nhất thiết phải dùng ký tự TAB để tách dữ liệu, bạn có thể dùng ký tự khác, giải sử là "|"
Khi đó bạn chỉ cần thay cụm ký tự "\t" trong đoạn mã sau thành "|" là được.
Bạn thử xem nhé
(defun c:ABC()
(setq f (open "D:\\ABC.txt" "r"))
(while (setq Line (read-line f))
(if (vl-string-search "\t" Line)
(progn
(setq Point (split Line "\t" ))
(command "Text" "J" "MC" (cdr Point) "" "" (car Point))
)
)
)
)
(defun Split (Str Char)
(setq Lst '())
(while (setq Local (vl-string-search Char Str))
(if (null Lst)
(setq Lst (list (substr Str 1 Local))
Str (substr Str (+ Local 2)))
(setq Lst (append Lst (list (read(substr Str 1 Local))))
Str (substr Str (+ Local 2)))
)
)
(setq Lst (append Lst (list (read Str))))
)

  • 0

#3 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 April 2010 - 08:01 AM

File Txt của bạn có 2 dòng không đúng cấu trúc, không nhất thiết phải dùng ký tự TAB để tách dữ liệu, bạn có thể dùng ký tự khác, giải sử là "|"
Khi đó bạn chỉ cần thay cụm ký tự "\t" trong đoạn mã sau thành "|" là được.
Bạn thử xem nhé

(defun c:ABC()
(setq f (open "D:\\ABC.txt" "r"))
(while (setq Line (read-line f))
(if (vl-string-search "\t" Line)
(progn
(setq Point (split Line "\t" ))
(command "Text" "J" "MC" (cdr Point) "" "" (car Point))
)
)
)
)
(defun Split (Str Char)
(setq Lst '())
(while (setq Local (vl-string-search Char Str))
(if (null Lst)

(setq Lst (list (substr Str 1 Local))
Str (substr Str (+ Local 2)))
(setq Lst (append Lst (list (read(substr Str 1 Local))))
Str (substr Str (+ Local 2)))
)
)
(setq Lst (append Lst (list (read Str))))
)

sao minh load lisp lên rồi đánh lệnh ABC mà cad lại báo lỗi là error: bad argument type: FILE nil.
bạn có thể hướng dẫn mình cách sử dụng không. cảm ơn bạn nhé
  • 0

#4 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 April 2010 - 08:25 AM

Hàm Split của bạn có thể viết gọn hơn :

(defun Split (Str Char / lst)
(while (setq Local (vl-string-search Char Str))
(setq Lst (append Lst (list (read (substr Str 1 Local))))
Str (substr Str (+ Local 2)) ) )
(setq Lst (append Lst (list (read Str)))))


và chú ý : kiểu của (car Point) : (type(car Point)) -> SYM

bạn có thể giải thích rõ hơn không. mình không biết nhiều về lisp nên không hiểu lắm. mong các bạn giúp đỡ
  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 April 2010 - 09:06 AM

bạn có thể giải thích rõ hơn không. mình không biết nhiều về lisp nên không hiểu lắm. mong các bạn giúp đỡ

Để chạy được Lisp thì file .txt của bạn tên là abc.txt được lưu ở ổ D

Lisp trên của Hoalẻtang chạy không còn đúng nữa trong trường hợp Text height của Style hiện hành khác 0
Nếu để Lisp chạy đúng trong trường hợp Text height của Style hiện hành khác 0 thì phải thay
Dòng Code này của bạn hoaletrang :
(command "Text" "J" "MC" (cdr Point) "" "" (car Point))
Bạn sửa lại thành :
(command "Text" "J" "MC" (cdr Point) "" (car Point))

Cách hay nhất là hoaletrang nên thay mã lệnh viết Text bằng hàm command nên thay bằng mã lệnh bằng hàm Entmake thì sẽ đúng trong mọi trường hợp

.....
và chú ý : kiểu của (car Point) : (type(car Point)) -> SYM

Tue_NV không hiểu : (type(car Point)) -> SYM
Nó trả về (type(car Point)) -> STR cơ mà?
  • 0

#6 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 13 April 2010 - 10:07 AM

...
Tue_NV không hiểu : (type(car Point)) -> SYM
Nó trả về (type(car Point)) -> STR cơ mà?

Sorry mọi nguời! "nhầm rùi" <_<

Bạn chạy thử :
(defun c:ABC (/ data f line point size str ten)
(setq ten (getfiled "Select a File txt" (getvar "dwgprefix") "txt" 8))
(setq size 10); chieu cao Text
(setq f (open ten "r"))
(while (setq Line (read-line f))
(if (vl-string-search "\t" Line)
(progn
(setq data (split Line "\t")
str (car data)
Point (cdr data))
(Make_Text_MC Point size str ) ) ) )
(princ))

(defun Make_Text_MC(pt size val)
(entmake
(list '(0 . "TEXT")
(cons 10 pt)(cons 40 size)
(cons 1 val)(cons 7 (getvar "TEXTSTYLE"))
'(71 . 0) (cons 72 1)
'(73 . 2) (cons 11 pt))))

(defun Split (Str Char / lst tmp)
(while (setq Local (vl-string-search Char Str))
(setq tmp (substr Str 1 Local))
(if (distof tmp)
(setq Lst (append Lst (list (read tmp))))
(setq Lst (append Lst (list tmp))) )
(setq Str (substr Str (+ Local 2)) ) )
(setq Lst (append Lst (list (read Str)))))

  • 0

#7 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 April 2010 - 11:23 AM

Sorry mọi nguời! "nhầm rùi" <_<

Bạn chạy thử :

(defun c:ABC (/ data f line point size str ten)
(setq ten (getfiled "Select a File txt" (getvar "dwgprefix") "txt" 8))
(setq size 10); chieu cao Text
(setq f (open ten "r"))
(while (setq Line (read-line f))
(if (vl-string-search "\t" Line)
(progn
(setq data (split Line "\t")
str (car data)
Point (cdr data))
(Make_Text_MC Point size str ) ) ) )
(princ))

(defun Make_Text_MC(pt size val)
(entmake
(list '(0 . "TEXT")
(cons 10 pt)(cons 40 size)
(cons 1 val)(cons 7 (getvar "TEXTSTYLE"))
'(71 . 0) (cons 72 1)
'(73 . 2) (cons 11 pt))))

(defun Split (Str Char / lst tmp)
(while (setq Local (vl-string-search Char Str))
(setq tmp (substr Str 1 Local))
(if (distof tmp)
(setq Lst (append Lst (list (read tmp))))
(setq Lst (append Lst (list tmp))) )
(setq Str (substr Str (+ Local 2)) ) )
(setq Lst (append Lst (list (read Str)))))

cảm ơn bạn. đây đúng là lisp mình cần nhưng nếu có thể nhờ bạn sửa hộ một chút cho giống như ví dụ này được không http://www.cadviet.com/upfiles/2/vd_7.dwg. Tâm của vòng tròn chính là tọa độ của điểm T-V
  • 0

#8 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 13 April 2010 - 12:16 PM

cảm ơn bạn. đây đúng là lisp mình cần nhưng nếu có thể nhờ bạn sửa hộ một chút cho giống như ví dụ này được không http://www.cadviet.com/upfiles/2/vd_7.dwg. Tâm của vòng tròn chính là tọa độ của điểm T-V

Có phải thế này không ?
(defun c:ABC(/ data f line point pt size ten)
(setq ten (getfiled "Select a File txt" (getvar "dwgprefix") "txt" 8))
(setq size 10); chieu cao Text
(setq f (open (findfile ten) "r"))
(while (setq Line (read-line f))
(if (vl-string-search "\t" Line)
(progn
(setq Point (split Line "\t" )
pt (cdr Point))
(Make_Text_Left pt size (car Point))
(entmake (list '(0 . "CIRCLE")(cons 10 pt)(cons 40 2) )) )))
(princ))

(defun Split (Str Char / Lst)
(while (setq Local (vl-string-search Char Str))
(if (null Lst)
(setq Lst (list (substr Str 1 Local))
Str (substr Str (+ Local 2)) )
(setq Lst (append Lst (list (read (substr Str 1 Local))))
Str (substr Str (+ Local 2)) )))
(setq Lst (append Lst (list (read Str)))))

(defun Make_Text_Left(pt size val)
(entmake
(list '(0 . "TEXT")
(cons 10 pt)(cons 40 size)
(cons 1 val)(cons 7 (getvar "TEXTSTYLE"))
'(71 . 0) '(72 . 0) )))

  • 0

#9 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 13 April 2010 - 12:44 PM

Có phải thế này không ?




(defun Split (Str Char / Lst)
(while (setq Local (vl-string-search Char Str))
(if (null Lst)
(setq Lst (list (substr Str 1 Local))
Str (substr Str (+ Local 2)) )
(setq Lst (append Lst (list (read (substr Str 1 Local))))
Str (substr Str (+ Local 2)) )))
(setq Lst (append Lst (list (read Str)))))

Chào các bạn có 1 hàm trong express tools dùng để tách chuỗi như sau:
(ACET-STR-TO-LIST char hang) trong đó: char là ký tự ngăn cách như " " hoặc "," ";"... hang là chuỗi str

cảm ơn bạn. đây đúng là lisp mình cần nhưng nếu có thể nhờ bạn sửa hộ một chút cho giống như ví dụ này được không http://www.cadviet.com/upfiles/2/vd_7.dwg. Tâm của vòng tròn chính là tọa độ của điểm T-V


Chào vantran, chắc bạn là dân khảo sát địa chất gì đó phải không. Thiep chỉ xin góp 1 ý thôi. Hình vẽ của bạn gồm 2 vòng tròn đồng tâm thể hiện 1 hố khoan tên là "T-V" gì đó. Thường thì ngoài cái tên hố khoan người ta còn thêm chiều sâu khoan, chiếu dày lớp 1A, 1B... Vì vậy theo Thiep thì nên tạo 1 block có nhiều thuộc tính (blockref) mỗi thuộc tính có tên là TenHK, lớp 1A, 1B, 2A....sâu khoan Như vậy qua 1 lisp sẽ đưa hết dữ liệu vào trong blockref luôn.
  • 0

#10 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 April 2010 - 01:11 PM

Chào các bạn có 1 hàm trong express tools dùng để tách chuỗi như sau:
(ACET-STR-TO-LIST char hang) trong đó: char là kyư tự ngăn cách như " " hoặc "," ";"... hang là chuỗi str
Chào vantran, chắc bạn là dân khảo sát địa chất gì đó phải không. Thiep chỉ xin góp 1 ý thôi. Hình vẽ của bạn gồm 2 vòng tròn đồng tâm thể hiện 1 hố khoan tên là "T-V" gì đó. Thường thì ngoài cái tên hố khoan người ta còn thêm chiều sâu khoan, chiếu dày lớp 1A, 1B... Vì vậy theo Thiep thì nên tạo 1 block có nhiều thuộc tính (blockref) mỗi thuộc tính có tên là TenHK, lớp 1A, 1B, 2A....sâu khoan Như vậy qua 1 lisp sẽ đưa hết dữ liệu vào trong blockref luôn.

đúng là mình cũng cần một lisp như thế. nhờ các bạn giúp mình. Đây là file ví dụ: http://www.cadviet.com/upfiles/2/vd2.dwg
  • 0

#11 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 13 April 2010 - 01:32 PM

đúng là mình cũng cần một lisp như thế. nhờ các bạn giúp mình. Đây là file ví dụ: http://www.cadviet.com/upfiles/2/vd2.dwg

Chào vantran, Thiep chỉ giúp Vantran tạo lisp xuất từ dữ liệu file *.txt hay *.csv ra blockref nhưng các thuộc tính (label) cố định chứ không dịch qua dịch lại cho phù hợp khoảng trống như trong bản vẽ của Vantran được. Nhưng mà cũng phải chờ nhé!
  • 0

#12 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 14 April 2010 - 12:26 PM

Chào vantran, Thiep chỉ giúp Vantran tạo lisp xuất từ dữ liệu file *.txt hay *.csv ra blockref nhưng các thuộc tính (label) cố định chứ không dịch qua dịch lại cho phù hợp khoảng trống như trong bản vẽ của Vantran được. Nhưng mà cũng phải chờ nhé!

Chào vantran, Lisp này chạy khi trong bản vẽ của bạn đã có block "HOKHOAN" và trong file dữ liệu thêm 1 dòng tiêu đề như trong file Thiep gửi cho bạn sau:
http://www.cadviet.c...dulieudavoi.zip
Còn đây là lisp:
;| Lisp nhap cac blockref LOKHOAN tu file du lieu *.txt
copyright by TRAN THIEP V1 03/2010
Yeu cau: ACAD da co cai dat Express Tools
=====================================================|;
(vl-load-com)
(defun c:hkh (/ ActDoc *Model* *layer* f Lh posX posY
name Z Se p objblk n taglst
)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-acad-object))
*Model* (vla-get-ModelSpace ActDoc)
*layer* (vla-get-Layers ActDoc)
*sumary* (vla-get-SummaryInfo ActDoc)
)
(vla-StartUndoMark ActDoc)
(or fn (setq fn (getfiled "chon file du lieu"
"d:/"
"txt"
0
)
)
)
(or (tblobjname "layer" "LOKHOAN")(vla-add *layer* "LOKHOAN"))
(acet-sysvar-set
(list "cmdecho" 0 "osmode" 0 "clayer" "LOKHOAN")
)
(setq f (open fn "r"))
(setq Lh (ACET-STR-TO-LIST "\t" (read-line f))
posX (vl-position "Y" Lh)
posY (vl-position "X" Lh)
name (vl-position "TEN" Lh)
Z (vl-position "H" Lh)
)
(setq tyle (cond (tyle)
(1)
)
)
(setq oldtyle tyle)
(setq tyle (getreal (strcat "\nChon ty le chen khoi <"
(rtos oldtyle 2 0)
"> : "
)
)
)
(if (null tyle)
(setq tyle oldtyle)
)
(while (setq Lh (read-line f))
(setq Se (ACET-STR-TO-LIST "\t" Lh)
p (list (distof (nth posX Se) 2)
(distof (nth posY Se) 2)
(distof (nth Z Se) 2)
)
)
(setq objblk (vla-InsertBlock
*Model*
(vlax-3d-point p)
"HOKHOAN"
tyle
tyle
1
0
)
n 0
)
(setq taglst (vlax-safearray->list
(vlax-variant-value
(vla-getattributes objblk)
)
)
)
(foreach att taglst
(cond ((eq (vla-get-tagstring att) "TENHK")
(vla-put-textstring att (nth name Se))
)
((eq (vla-get-tagstring att) "Z")
(vla-put-textstring att (nth Z Se))
)

)
)
)
(close f)
(acet-sysvar-restore)
(vla-EndUndoMark ActDoc)
(vla-put-Author *sumary* "TRAN-THIEP 0918841230")
(vla-put-Comments
*sumary*
(strcat
"This drawing used to use hokhoan.lsp"
" "
" Copyright by Tran Thiep"
" "
" Thank you very much"
)
)
(princ "\nThiep chuc ban thanh cong")
(princ)
)

  • 1

#13 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 15 April 2010 - 12:29 PM

Chào vantran, Lisp này chạy khi trong bản vẽ của bạn đã có block "HOKHOAN" và trong file dữ liệu thêm 1 dòng tiêu đề như trong file Thiep gửi cho bạn sau:
http://www.cadviet.c...dulieudavoi.zip
Còn đây là lisp:

;| Lisp nhap cac blockref LOKHOAN tu file du lieu *.txt
copyright by TRAN THIEP V1 03/2010
Yeu cau: ACAD da co cai dat Express Tools
=====================================================|;
(vl-load-com)
(defun c:hkh (/ ActDoc *Model* *layer* f Lh posX posY
name Z Se p objblk n taglst
)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-acad-object))
*Model* (vla-get-ModelSpace ActDoc)
*layer* (vla-get-Layers ActDoc)
*sumary* (vla-get-SummaryInfo ActDoc)
)
(vla-StartUndoMark ActDoc)
(or fn (setq fn (getfiled "chon file du lieu"
"d:/"
"txt"
0
)
)
)
(or (tblobjname "layer" "LOKHOAN")(vla-add *layer* "LOKHOAN"))
(acet-sysvar-set
(list "cmdecho" 0 "osmode" 0 "clayer" "LOKHOAN")
)
(setq f (open fn "r"))
(setq Lh (ACET-STR-TO-LIST "\t" (read-line f))
posX (vl-position "Y" Lh)
posY (vl-position "X" Lh)
name (vl-position "TEN" Lh)
Z (vl-position "H" Lh)
)
(setq tyle (cond (tyle)
(1)
)
)
(setq oldtyle tyle)
(setq tyle (getreal (strcat "\nChon ty le chen khoi <"
(rtos oldtyle 2 0)
"> : "
)
)
)
(if (null tyle)
(setq tyle oldtyle)
)
(while (setq Lh (read-line f))
(setq Se (ACET-STR-TO-LIST "\t" Lh)
p (list (distof (nth posX Se) 2)
(distof (nth posY Se) 2)
(distof (nth Z Se) 2)
)
)
(setq objblk (vla-InsertBlock
*Model*
(vlax-3d-point p)
"HOKHOAN"
tyle
tyle
1
0
)
n 0
)
(setq taglst (vlax-safearray->list
(vlax-variant-value
(vla-getattributes objblk)
)
)
)
(foreach att taglst
(cond ((eq (vla-get-tagstring att) "TENHK")
(vla-put-textstring att (nth name Se))
)
((eq (vla-get-tagstring att) "Z")
(vla-put-textstring att (nth Z Se))
)

)
)
)
(close f)
(acet-sysvar-restore)
(vla-EndUndoMark ActDoc)
(vla-put-Author *sumary* "TRAN-THIEP 0918841230")
(vla-put-Comments
*sumary*
(strcat
"This drawing used to use hokhoan.lsp"
" "
" Copyright by Tran Thiep"
" "
" Thank you very much"
)
)
(princ "\nThiep chuc ban thanh cong")
(princ)
)

cảm ơn Thiep. đây đúng là cái lisp mình cần.
  • 0

#14 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 15 April 2010 - 01:34 PM

cảm ơn Thiep. đây đúng là cái lisp mình cần.

thiệp có thể hướng dẫn mình cách làm không. Mình đá làm theo cách hướng dẫn của thiep nhưng không được. Trong bản vẽ đá tọa block HOKHOAN, đã sữa file dữ liệu rồi
  • 0

#15 vantran

vantran

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 15 April 2010 - 03:44 PM

Chào vantran, Lisp này chạy khi trong bản vẽ của bạn đã có block "HOKHOAN" và trong file dữ liệu thêm 1 dòng tiêu đề như trong file Thiep gửi cho bạn sau:
http://www.cadviet.c...dulieudavoi.zip
Còn đây là lisp:

;| Lisp nhap cac blockref LOKHOAN tu file du lieu *.txt
copyright by TRAN THIEP V1 03/2010
Yeu cau: ACAD da co cai dat Express Tools
=====================================================|;
(vl-load-com)
(defun c:hkh (/ ActDoc *Model* *layer* f Lh posX posY
name Z Se p objblk n taglst
)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-acad-object))
*Model* (vla-get-ModelSpace ActDoc)
*layer* (vla-get-Layers ActDoc)
*sumary* (vla-get-SummaryInfo ActDoc)
)
(vla-StartUndoMark ActDoc)
(or fn (setq fn (getfiled "chon file du lieu"
"d:/"
"txt"
0
)
)
)
(or (tblobjname "layer" "LOKHOAN")(vla-add *layer* "LOKHOAN"))
(acet-sysvar-set
(list "cmdecho" 0 "osmode" 0 "clayer" "LOKHOAN")
)
(setq f (open fn "r"))
(setq Lh (ACET-STR-TO-LIST "\t" (read-line f))
posX (vl-position "Y" Lh)
posY (vl-position "X" Lh)
name (vl-position "TEN" Lh)
Z (vl-position "H" Lh)
)
(setq tyle (cond (tyle)
(1)
)
)
(setq oldtyle tyle)
(setq tyle (getreal (strcat "\nChon ty le chen khoi <"
(rtos oldtyle 2 0)
"> : "
)
)
)
(if (null tyle)
(setq tyle oldtyle)
)
(while (setq Lh (read-line f))
(setq Se (ACET-STR-TO-LIST "\t" Lh)
p (list (distof (nth posX Se) 2)
(distof (nth posY Se) 2)
(distof (nth Z Se) 2)
)
)
(setq objblk (vla-InsertBlock
*Model*
(vlax-3d-point p)
"HOKHOAN"
tyle
tyle
1
0
)
n 0
)
(setq taglst (vlax-safearray->list
(vlax-variant-value
(vla-getattributes objblk)
)
)
)
(foreach att taglst
(cond ((eq (vla-get-tagstring att) "TENHK")
(vla-put-textstring att (nth name Se))
)
((eq (vla-get-tagstring att) "Z")
(vla-put-textstring att (nth Z Se))
)

)
)
)
(close f)
(acet-sysvar-restore)
(vla-EndUndoMark ActDoc)
(vla-put-Author *sumary* "TRAN-THIEP 0918841230")
(vla-put-Comments
*sumary*
(strcat
"This drawing used to use hokhoan.lsp"
" "
" Copyright by Tran Thiep"
" "
" Thank you very much"
)
)
(princ "\nThiep chuc ban thanh cong")
(princ)
)

Thanks Thiep nhe. mình đã làm được rồi. hy vọng sẽ được học hỏi nhiều
  • 0

#16 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 15 April 2010 - 04:39 PM

Thanks Thiep nhe. mình đã làm được rồi. hy vọng sẽ được học hỏi nhiều

Chào vantran, file bản vẽ vd2 có block "HOKHOAN" chỉ là 1 file ví dụ thôi, nó hơi ngộ nghĩnh 1 chút, bạn hãy khám phá cái ngộ nghĩnh này sẽ thấy. Bạn hãy cẩn thận, và khi tạo 1 bản vẽ mới, bạn tạo 1 block khác cho riêng bạn, có tên "HOKHOAN" với các thuộc tính "TENHK" và "Z" giống như tôi làm, trước khi chạy lisp này.
Chúc nhà địa chất thành công!
  • 0

#17 duynguyen77

duynguyen77

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 July 2014 - 11:26 AM

Chào vantran, file bản vẽ vd2 có block "HOKHOAN" chỉ là 1 file ví dụ thôi, nó hơi ngộ nghĩnh 1 chút, bạn hãy khám phá cái ngộ nghĩnh này sẽ thấy. Bạn hãy cẩn thận, và khi tạo 1 bản vẽ mới, bạn tạo 1 block khác cho riêng bạn, có tên "HOKHOAN" với các thuộc tính "TENHK" và "Z" giống như tôi làm, trước khi chạy lisp này.
Chúc nhà địa chất thành công!

anh giúp e với . em lấy bản vẽ cũ của anh up lên rồi làm theo mà nó không chạy nó náo lỗi. " error: no function definition: ACET-SYSVAR-SET" 

Command: HKH ; error: no function definition: ACET-SYSVAR-SET
 
Command: HKH ; error: no function definition: ACET-SYSVAR-SET
 
Command: HKH ; error: no function definition: ACET-SYSVAR-SET

  • 0

#18 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 31 July 2014 - 11:35 AM

Cài Tool Express vào.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#19 duynguyen77

duynguyen77

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 July 2014 - 12:18 PM

e cài rồi anh ak 

http://s604.photobuc...titled.png.html


  • 0